@echo off

echo.
echo.
echo -------------------------------------
echo Tivoli Service Desk Parse Utility
echo -------------------------------------

if "%1" == "-a" goto parsedf
if "%1" == "-k" goto parsekb 
if "%1" == "-d" goto parsedf 
if "%1" == "-n" goto parseTNM
if "%1" == "-b" goto parseBuild
if "%1" == "-s" goto parseServ
if "%1" == "-t" goto parseArc
if "%1" == "-h" goto help
if "%1" == "-c" goto codeset
goto usage
 

:parsedf
  
echo.
echo -------------------------------------
echo Parsing DF files
echo -------------------------------------
echo.

echo.
echo Parsing Common files...
echo.

cd common
i-gen c_labels.df
i-gen c_msgs.df
i-gen *.df
cd..

echo.
echo Parsing Monitor files...
echo.

cd monitors
i-gen t_labels.df
i-gen t_msgs.df
i-gen *.df
cd..

echo.
echo Parsing TDM files...
echo.

cd tdm
i-gen d_labels.df
i-gen d_msgs.df
i-gen *.df
cd..

echo.
echo Parsing TAM files...
echo.

cd tam
i-gen i_labels.df
i-gen i_msgs.df
i-gen *.df
cd..

echo.
echo Parsing TCM files...
echo.

cd tcm
i-gen r_labels.df
i-gen r_msgs.df
i-gen *.df
cd..

echo.
echo Parsing TPM files...
echo.

cd tpm
i-gen p_labels.df
i-gen p_msgs.df
i-gen *.df
cd..

echo.
echo Parsing TSDServ files...
echo.

cd tsdserv
i-gen s_labels.df
i-gen s_msgs.df
i-gen *.df
cd..


echo.
echo Parsing TNM files...
echo.

cd tnm
i-gen n_labels.df
i-gen n_msgs.df
i-gen *.df
cd..


echo.
echo Parsing Mail Gateway files...
echo.

cd tmg
i-gen *.df
cd..

echo.
echo Parsing TPMARC files...
echo.

cd TPMARC
i-gen *.df
cd..

if %1 == -a goto parsekb
goto end

:parsekb

echo.
echo -------------------------------------
echo Parsing KB files...
echo -------------------------------------
echo.

rem   *****************************************************************************************************************************
rem   6.0-TSD-0013, D21542
rem   parse -a function doesn't parse TPM\sqltrace.kb
rem   Solution:  Included sqltrace below
rem   SEM - 05may15
rem   *****************************************************************************************************************************
kp -b profedit tsd demogrph tsd_adm agreemnt c_scrty tam tam_adm datautil tpm pa_prof pd_prof pe_prof solpurge tdm_adm ema_main tnm_tpm tnm_adm monitor alrmmntr eaaprs ttm_adm tcm_modl tcm_esc tcm_rpts tcm_rule tcm_adm tcm_admb tcm_bo tcm_cat tcm_catb tcm_chg tcm_sch.kb rpurg_ww.kb i_mcadmn.kb eci.kb pc_mon tsd_text ewclient tivint.kb sqltrace >parse.log
rem   *****************************************************************************************************************************
rem   End - 6.0-TSD-0013, D21542
rem   *****************************************************************************************************************************

if not exist TNM\OPENVIEW goto endPrsOV
    kp -b -a:OPENVIEW nsm.kb >>parse.log   
:endPrsOV

if not exist TNM\SYSMGR goto endPrsSYS
kp -b nsm.kb >>parse.log
:endPrsSYS

cd tsdserv
kp -b eserver >>..\parse.log
cd..



echo.
echo Parse is complete.
echo.

goto end

:parseTNM

echo.
echo -------------------------------------
    echo Parsing TNM module
echo -------------------------------------
echo.

if not exist TNM\OPENVIEW goto endTPrsOV
    kp -b -a:OPENVIEW nsm.kb >>parse.log   
:endTPrsOV

if not exist TNM\SYSMGR goto endTPrsSYS
kp -b nsm.kb >>parse.log
:endTPrsSYS


:parseBuild

echo.
echo -------------------------------------
echo Parsing TSDBuild files
echo -------------------------------------
echo.

cd winase32
i-gen k_labels.df 2>nul
i-gen i-gen.df 2>nul
i-gen *.df
cd ..
cd common
i-gen c_labels.df
i-gen c_msgs.df
i-gen c_data.df
cd ..
cd tsdbuild
i-gen b_labels.df
i-gen b_msgs.df
i-gen r_600mig.df
cd ..
cd common
i-gen b_data.df
i-gen i_data.df
i-gen r_data.df
i-gen p_data.df
cd ..
cd tsdbuild
i-gen confdlg.df
i-gen scrptrun.df
i-gen tsdbuild.df
i-gen peomig.df
i-gen cbuild.df
i-gen ext_util.df
cd ..
cd common
i-gen im4t.df
i-gen ce.df
kp -b im4t
cd ..
cd tsdbuild
kp -b -u..\COMMON tsdbuild.kb
kp -b -u..\COMMON confdlg.kb
cd ..

goto end


:parseServ

echo.
echo -------------------------------------
echo Parsing TSDServ KB files
echo -------------------------------------
echo.
echo.

    echo Parsing Common files...
echo.

cd common
i-gen c_labels.df
i-gen c_msgs.df
i-gen *.df
cd..

echo.
echo Parsing TDM files...
echo.

cd tdm
i-gen d_labels.df
i-gen d_msgs.df
i-gen *.df
cd..

echo.
echo Parsing TPM files...
echo.

cd tpm
i-gen p_labels.df
i-gen p_msgs.df
i-gen *.df
cd..

echo.
echo Parsing TSDServ files...
echo.

cd tsdserv
i-gen s_labels.df
i-gen s_msgs.df
i-gen *.df
cd..

echo.
echo Parsing TNM files...
echo.

cd tnm
i-gen n_labels.df
i-gen n_msgs.df
i-gen *.df
cd..

cd tsdserv
kp -b eserver
cd..
goto end


:parseArc

echo.
echo -------------------------------------
echo Parsing TPM Archive Utility
echo -------------------------------------
echo.
echo.

cd TPMARC
kml eaaprs
cd..

goto end


:codeset
wiconv -f UTF8 -t CODESET\1252 <winase32\kpwhelp.txt> winase32\kpwhelp2.txt
del winase32\kpwhelp.txt
move winase32\kpwhelp2.txt winase32\kpwhelp.txt
wiconv -f UTF8 -t CODESET\850 <winase32\k_labels.df> winase32\k_labels2.df
del winase32\k_labels.df
move winase32\k_labels2.df winase32\k_labels.df
wiconv -f UTF8 -t CODESET\850 <COMMON\i_data.df> COMMON\i_data2.df
del COMMON\i_data.df
move COMMON\i_data2.df COMMON\i_data.df
wiconv -f UTF8 -t CODESET\850 <COMMON\appclnt.df> COMMON\appclnt2.df
del COMMON\appclnt.df
move COMMON\appclnt2.df COMMON\appclnt.df
wiconv -f UTF8 -t CODESET\850 < COMMON\b_data.df > COMMON\b_data2.df
del COMMON\b_data.df
move COMMON\b_data2.df COMMON\b_data.df
wiconv -f UTF8 -t CODESET\850 < COMMON\c_cfg.df > COMMON\c_cfg2.df
del COMMON\c_cfg.df
move COMMON\c_cfg2.df COMMON\c_cfg.df
wiconv -f UTF8 -t CODESET\850 < COMMON\c_data.df > COMMON\c_data2.df
del COMMON\c_data.df
move COMMON\c_data2.df COMMON\c_data.df
wiconv -f UTF8 -t CODESET\850 < COMMON\c_labels.df > COMMON\c_labels2.df
del COMMON\c_labels.df
move COMMON\c_labels2.df COMMON\c_labels.df
wiconv -f UTF8 -t CODESET\850 < COMMON\c_login.df > COMMON\c_login2.df
del COMMON\c_login.df
move COMMON\c_login2.df COMMON\c_login.df
wiconv -f UTF8 -t CODESET\850 < COMMON\c_msgs.df > COMMON\c_msgs2.df
del COMMON\c_msgs.df
move COMMON\c_msgs2.df COMMON\c_msgs.df
wiconv -f UTF8 -t CODESET\850 < COMMON\c_prnt.df > COMMON\c_prnt2.df
del COMMON\c_prnt.df
move COMMON\c_prnt2.df COMMON\c_prnt.df
wiconv -f UTF8 -t CODESET\850 < COMMON\calendar.df > COMMON\calendar2.df
del COMMON\calendar.df
move COMMON\calendar2.df COMMON\calendar.df
wiconv -f UTF8 -t CODESET\850 < COMMON\ce.df > COMMON\ce2.df
del COMMON\ce.df
move COMMON\ce2.df COMMON\ce.df
wiconv -f UTF8 -t CODESET\850 < COMMON\cmnddv.df > COMMON\cmnddv2.df
del COMMON\cmnddv.df
move COMMON\cmnddv2.df COMMON\cmnddv.df
wiconv -f UTF8 -t CODESET\850 < COMMON\cntr.df > COMMON\cntr2.df
del COMMON\cntr.df
move COMMON\cntr2.df COMMON\cntr.df
wiconv -f UTF8 -t CODESET\850 < COMMON\db_login.df > COMMON\db_login2.df
del COMMON\db_login.df
move COMMON\db_login2.df COMMON\db_login.df
wiconv -f UTF8 -t CODESET\850 < COMMON\ddview.df > COMMON\ddview2.df
del COMMON\ddview.df
move COMMON\ddview2.df COMMON\ddview.df
wiconv -f UTF8 -t CODESET\850 < COMMON\groups.df > COMMON\groups2.df
del COMMON\groups.df
move COMMON\groups2.df COMMON\groups.df
wiconv -f UTF8 -t CODESET\850 < COMMON\im4t.df > COMMON\im4t2.df
del COMMON\im4t.df
move COMMON\im4t2.df COMMON\im4t.df
wiconv -f UTF8 -t CODESET\850 < COMMON\loc.df > COMMON\loc2.df
del COMMON\loc.df
move COMMON\loc2.df COMMON\loc.df
wiconv -f UTF8 -t CODESET\850 < COMMON\magwin.df > COMMON\magwin2.df
del COMMON\magwin.df
move COMMON\magwin2.df COMMON\magwin.df
wiconv -f UTF8 -t CODESET\850 < COMMON\mc_svcs.df > COMMON\mc_svcs2.df
del COMMON\mc_svcs.df
move COMMON\mc_svcs2.df COMMON\mc_svcs.df
wiconv -f UTF8 -t CODESET\850 < COMMON\org.df > COMMON\org2.df
del COMMON\org.df
move COMMON\org2.df COMMON\org.df
wiconv -f UTF8 -t CODESET\850 < COMMON\p_data.df > COMMON\p_data2.df
del COMMON\p_data.df
move COMMON\p_data2.df COMMON\p_data.df
wiconv -f UTF8 -t CODESET\850 < COMMON\pcktrgt.df > COMMON\pcktrgt2.df
del COMMON\pcktrgt.df
move COMMON\pcktrgt2.df COMMON\pcktrgt.df
wiconv -f UTF8 -t CODESET\850 < COMMON\people.df > COMMON\people2.df
del COMMON\people.df
move COMMON\people2.df COMMON\people.df
wiconv -f UTF8 -t CODESET\850 < COMMON\pick.df > COMMON\pick2.df
del COMMON\pick.df
move COMMON\pick2.df COMMON\pick.df
wiconv -f UTF8 -t CODESET\850 < COMMON\profile.df > COMMON\profile2.df
del COMMON\profile.df
move COMMON\profile2.df COMMON\profile.df
wiconv -f UTF8 -t CODESET\850 < COMMON\r_data.df > COMMON\r_data2.df
del COMMON\r_data.df
move COMMON\r_data2.df COMMON\r_data.df
wiconv -f UTF8 -t CODESET\850 < COMMON\scrtycfg.df > COMMON\scrtycfg2.df
del COMMON\scrtycfg.df
move COMMON\scrtycfg2.df COMMON\scrtycfg.df
wiconv -f UTF8 -t CODESET\850 < COMMON\search.df > COMMON\search2.df
del COMMON\search.df
move COMMON\search2.df COMMON\search.df
wiconv -f UTF8 -t CODESET\850 < COMMON\tree.df > COMMON\tree2.df
del COMMON\tree.df
move COMMON\tree2.df COMMON\tree.df
wiconv -f UTF8 -t CODESET\850 < COMMON\tsd_text.df > COMMON\tsd_text2.df
del COMMON\tsd_text.df
move COMMON\tsd_text2.df COMMON\tsd_text.df
wiconv -f UTF8 -t CODESET\850 < COMMON\ven.df > COMMON\ven2.df
del COMMON\ven.df
move COMMON\ven2.df COMMON\ven.df
wiconv -f UTF8 -t CODESET\850 < TSDBUILD\b_labels.df > TSDBUILD\b_labels2.df
del TSDBUILD\b_labels.df
move TSDBUILD\b_labels2.df TSDBUILD\b_labels.df
wiconv -f UTF8 -t CODESET\850 < TSDBUILD\b_msgs.df > TSDBUILD\b_msgs2.df
del TSDBUILD\b_msgs.df
move TSDBUILD\b_msgs2.df TSDBUILD\b_msgs.df
wiconv -f UTF8 -t CODESET\850 < TSDBUILD\cbuild.df > TSDBUILD\cbuild2.df
del TSDBUILD\cbuild.df
move TSDBUILD\cbuild2.df TSDBUILD\cbuild.df
wiconv -f UTF8 -t CODESET\850 < TSDBUILD\confdlg.df > TSDBUILD\confdlg2.df
del TSDBUILD\confdlg.df
move TSDBUILD\confdlg2.df TSDBUILD\confdlg.df
wiconv -f UTF8 -t CODESET\850 < TSDBUILD\ext_util.df > TSDBUILD\ext_util2.df
del TSDBUILD\ext_util.df
move TSDBUILD\ext_util2.df TSDBUILD\ext_util.df
wiconv -f UTF8 -t CODESET\850 < TSDBUILD\peomig.df > TSDBUILD\peomig2.df
del TSDBUILD\peomig.df
move TSDBUILD\peomig2.df TSDBUILD\peomig.df
wiconv -f UTF8 -t CODESET\850 < TSDBUILD\r_600mig.df > TSDBUILD\r_600mig2.df
del TSDBUILD\r_600mig.df
move TSDBUILD\r_600mig2.df TSDBUILD\r_600mig.df
wiconv -f UTF8 -t CODESET\850 < TSDBUILD\scrptrun.df > TSDBUILD\scrptrun2.df
del TSDBUILD\scrptrun.df
move TSDBUILD\scrptrun2.df TSDBUILD\scrptrun.df
wiconv -f UTF8 -t CODESET\850 < TSDBUILD\tsdbuild.df > TSDBUILD\tsdbuild2.df
del TSDBUILD\tsdbuild.df
move TSDBUILD\tsdbuild2.df TSDBUILD\tsdbuild.df
wiconv -f UTF8 -t CODESET\850 < TAM\advasset.df > TAM\advasset2.df
del TAM\advasset.df
move TAM\advasset2.df TAM\advasset.df
wiconv -f UTF8 -t CODESET\850 < TAM\census.df > TAM\census2.df
del TAM\census.df
move TAM\census2.df TAM\census.df
wiconv -f UTF8 -t CODESET\850 < TAM\csv_mig.df > TAM\csv_mig2.df
del TAM\csv_mig.df
move TAM\csv_mig2.df TAM\csv_mig.df
wiconv -f UTF8 -t CODESET\850 < TAM\evnt.df > TAM\evnt2.df
del TAM\evnt.df
move TAM\evnt2.df TAM\evnt.df
wiconv -f UTF8 -t CODESET\850 < TAM\export.df > TAM\export2.df
del TAM\export.df
move TAM\export2.df TAM\export.df
wiconv -f UTF8 -t CODESET\850 < TAM\i_asset.df > TAM\i_asset2.df
del TAM\i_asset.df
move TAM\i_asset2.df TAM\i_asset.df
wiconv -f UTF8 -t CODESET\850 < TAM\i_audit.df > TAM\i_audit2.df
del TAM\i_audit.df
move TAM\i_audit2.df TAM\i_audit.df
wiconv -f UTF8 -t CODESET\850 < TAM\i_cfg.df > TAM\i_cfg2.df
del TAM\i_cfg.df
move TAM\i_cfg2.df TAM\i_cfg.df
wiconv -f UTF8 -t CODESET\850 < TAM\i_labels.df > TAM\i_labels2.df
del TAM\i_labels.df
move TAM\i_labels2.df TAM\i_labels.df
wiconv -f UTF8 -t CODESET\850 < TAM\i_msgs.df > TAM\i_msgs2.df
del TAM\i_msgs.df
move TAM\i_msgs2.df TAM\i_msgs.df
wiconv -f UTF8 -t CODESET\850 < TAM\i_report.df > TAM\i_report2.df
del TAM\i_report.df
move TAM\i_report2.df TAM\i_report.df
wiconv -f UTF8 -t CODESET\850 < TAM\i_sched.df > TAM\i_sched2.df
del TAM\i_sched.df
move TAM\i_sched2.df TAM\i_sched.df
wiconv -f UTF8 -t CODESET\850 < TAM\i_xfer.df > TAM\i_xfer2.df
del TAM\i_xfer.df
move TAM\i_xfer2.df TAM\i_xfer.df
wiconv -f UTF8 -t CODESET\850 < TAM\sms_gui.df > TAM\sms_gui2.df
del TAM\sms_gui.df
move TAM\sms_gui2.df TAM\sms_gui.df
wiconv -f UTF8 -t CODESET\850 < TAM\sms_mig.df > TAM\sms_mig2.df
del TAM\sms_mig.df
move TAM\sms_mig2.df TAM\sms_mig.df
wiconv -f UTF8 -t CODESET\850 < TAM\tam_adm.df > TAM\tam_adm2.df
del TAM\tam_adm.df
move TAM\tam_adm2.df TAM\tam_adm.df
wiconv -f UTF8 -t CODESET\850 < TAM\tiv_gui.df > TAM\tiv_gui2.df
del TAM\tiv_gui.df
move TAM\tiv_gui2.df TAM\tiv_gui.df
wiconv -f UTF8 -t CODESET\850 < TAM\tiv_mig.df > TAM\tiv_mig2.df
del TAM\tiv_mig.df
move TAM\tiv_mig2.df TAM\tiv_mig.df
wiconv -f UTF8 -t CODESET\850 < TCM\r_common.df > TCM\r_common2.df
del TCM\r_common.df
move TCM\r_common2.df TCM\r_common.df
wiconv -f UTF8 -t CODESET\850 < TCM\r_ctg.df > TCM\r_ctg2.df
del TCM\r_ctg.df
move TCM\r_ctg2.df TCM\r_ctg.df
wiconv -f UTF8 -t CODESET\850 < TCM\r_labels.df > TCM\r_labels2.df
del TCM\r_labels.df
move TCM\r_labels2.df TCM\r_labels.df
wiconv -f UTF8 -t CODESET\850 < TCM\r_msgs.df > TCM\r_msgs2.df
del TCM\r_msgs.df
move TCM\r_msgs2.df TCM\r_msgs.df
wiconv -f UTF8 -t CODESET\850 < TCM\r_sched.df > TCM\r_sched2.df
del TCM\r_sched.df
move TCM\r_sched2.df TCM\r_sched.df
wiconv -f UTF8 -t CODESET\850 < TCM\radmn.df > TCM\radmn2.df
del TCM\radmn.df
move TCM\radmn2.df TCM\radmn.df
wiconv -f UTF8 -t CODESET\850 < TCM\rbo.df > TCM\rbo2.df
del TCM\rbo.df
move TCM\rbo2.df TCM\rbo.df
wiconv -f UTF8 -t CODESET\850 < TCM\rchg.df > TCM\rchg2.df
del TCM\rchg.df
move TCM\rchg2.df TCM\rchg.df
wiconv -f UTF8 -t CODESET\850 < TCM\resc.df > TCM\resc2.df
del TCM\resc.df
move TCM\resc2.df TCM\resc.df
wiconv -f UTF8 -t CODESET\850 < TCM\rmod.df > TCM\rmod2.df
del TCM\rmod.df
move TCM\rmod2.df TCM\rmod.df
wiconv -f UTF8 -t CODESET\850 < TCM\rrul.df > TCM\rrul2.df
del TCM\rrul.df
move TCM\rrul2.df TCM\rrul.df
wiconv -f UTF8 -t CODESET\850 < TCM\rscrb.df > TCM\rscrb2.df
del TCM\rscrb.df
move TCM\rscrb2.df TCM\rscrb.df
wiconv -f UTF8 -t CODESET\850 < TCM\rstats.df > TCM\rstats2.df
del TCM\rstats.df
move TCM\rstats2.df TCM\rstats.df
wiconv -f UTF8 -t CODESET\850 < TPM\attach.df > TPM\attach2.df
del TPM\attach.df
move TPM\attach2.df TPM\attach.df
wiconv -f UTF8 -t CODESET\850 < TPM\callcfg.df > TPM\callcfg2.df
del TPM\callcfg.df
move TPM\callcfg2.df TPM\callcfg.df
wiconv -f UTF8 -t CODESET\850 < TPM\callhist.df > TPM\callhist2.df
del TPM\callhist.df
move TPM\callhist2.df TPM\callhist.df
wiconv -f UTF8 -t CODESET\850 < TPM\calls.df > TPM\calls2.df
del TPM\calls.df
move TPM\calls2.df TPM\calls.df
wiconv -f UTF8 -t CODESET\850 < TPM\error.df > TPM\error2.df
del TPM\error.df
move TPM\error2.df TPM\error.df
wiconv -f UTF8 -t CODESET\850 < TPM\common.df > TPM\common2.df
del TPM\common.df
move TPM\common2.df TPM\common.df
wiconv -f UTF8 -t CODESET\850 < TPM\corecfg.df > TPM\corecfg2.df
del TPM\corecfg.df
move TPM\corecfg2.df TPM\corecfg.df
wiconv -f UTF8 -t CODESET\850 < TPM\daid.df > TPM\daid2.df
del TPM\daid.df
move TPM\daid2.df TPM\daid.df
wiconv -f UTF8 -t CODESET\850 < TPM\dctnry.df > TPM\dctnry2.df
del TPM\dctnry.df
move TPM\dctnry2.df TPM\dctnry.df
wiconv -f UTF8 -t CODESET\850 < TPM\diagcfg.df > TPM\diagcfg2.df
del TPM\diagcfg.df
move TPM\diagcfg2.df TPM\diagcfg.df
wiconv -f UTF8 -t CODESET\850 < TPM\diagedit.df > TPM\diagedit2.df
del TPM\diagedit.df
move TPM\diagedit2.df TPM\diagedit.df
wiconv -f UTF8 -t CODESET\850 < TPM\diagwin.df > TPM\diagwin2.df
del TPM\diagwin.df
move TPM\diagwin2.df TPM\diagwin.df
wiconv -f UTF8 -t CODESET\850 < TPM\dispatch.df > TPM\dispatch2.df
del TPM\dispatch.df
move TPM\dispatch2.df TPM\dispatch.df
wiconv -f UTF8 -t CODESET\850 < TPM\eci_call.df > TPM\eci_call2.df
del TPM\eci_call.df
move TPM\eci_call2.df TPM\eci_call.df
wiconv -f UTF8 -t CODESET\850 < TPM\eci_cfg.df > TPM\eci_cfg2.df
del TPM\eci_cfg.df
move TPM\eci_cfg2.df TPM\eci_cfg.df
wiconv -f UTF8 -t CODESET\850 < TPM\eci_cust.df > TPM\eci_cust2.df
del TPM\eci_cust.df
move TPM\eci_cust2.df TPM\eci_cust.df
wiconv -f UTF8 -t CODESET\850 < TPM\equip.df > TPM\equip2.df
del TPM\equip.df
move TPM\equip2.df TPM\equip.df
wiconv -f UTF8 -t CODESET\850 < TPM\ewadmin.df > TPM\ewadmin2.df
del TPM\ewadmin.df
move TPM\ewadmin2.df TPM\ewadmin.df
wiconv -f UTF8 -t CODESET\850 < TPM\ewclient.df > TPM\ewclient2.df
del TPM\ewclient.df
move TPM\ewclient2.df TPM\ewclient.df
wiconv -f UTF8 -t CODESET\850 < TPM\ewdaid.df > TPM\ewdaid2.df
del TPM\ewdaid.df
move TPM\ewdaid2.df TPM\ewdaid.df
wiconv -f UTF8 -t CODESET\850 < TPM\flatten.df > TPM\flatten2.df
del TPM\flatten.df
move TPM\flatten2.df TPM\flatten.df
wiconv -f UTF8 -t CODESET\850 < TPM\homepage.df > TPM\homepage2.df
del TPM\homepage.df
move TPM\homepage2.df TPM\homepage.df
wiconv -f UTF8 -t CODESET\850 < TPM\hotnews.df > TPM\hotnews2.df
del TPM\hotnews.df
move TPM\hotnews2.df TPM\hotnews.df
wiconv -f UTF8 -t CODESET\850 < TPM\hyper.df > TPM\hyper2.df
del TPM\hyper.df
move TPM\hyper2.df TPM\hyper.df
wiconv -f UTF8 -t CODESET\850 < TPM\hyprtree.df > TPM\hyprtree2.df
del TPM\hyprtree.df
move TPM\hyprtree2.df TPM\hyprtree.df
wiconv -f UTF8 -t CODESET\850 < TPM\p_labels.df > TPM\p_labels2.df
del TPM\p_labels.df
move TPM\p_labels2.df TPM\p_labels.df
wiconv -f UTF8 -t CODESET\850 < TPM\p_msgs.df > TPM\p_msgs2.df
del TPM\p_msgs.df
move TPM\p_msgs2.df TPM\p_msgs.df
wiconv -f UTF8 -t CODESET\850 < TPM\p_print.df > TPM\p_print2.df
del TPM\p_print.df
move TPM\p_print2.df TPM\p_print.df
wiconv -f UTF8 -t CODESET\850 < TPM\pickusr.df > TPM\pickusr2.df
del TPM\pickusr.df
move TPM\pickusr2.df TPM\pickusr.df
wiconv -f UTF8 -t CODESET\850 < TPM\problems.df > TPM\problems2.df
del TPM\problems.df
move TPM\problems2.df TPM\problems.df
wiconv -f UTF8 -t CODESET\850 < TPM\resume.df > TPM\resume2.df
del TPM\resume.df
move TPM\resume2.df TPM\resume.df
wiconv -f UTF8 -t CODESET\850 < TPM\rtbulk.df > TPM\rtbulk2.df
del TPM\rtbulk.df
move TPM\rtbulk2.df TPM\rtbulk.df
wiconv -f UTF8 -t CODESET\850 < TPM\rtcfg.df > TPM\rtcfg2.df
del TPM\rtcfg.df
move TPM\rtcfg2.df TPM\rtcfg.df
wiconv -f UTF8 -t CODESET\850 < TPM\rtpanel.df > TPM\rtpanel2.df
del TPM\rtpanel.df
move TPM\rtpanel2.df TPM\rtpanel.df
wiconv -f UTF8 -t CODESET\850 < TPM\rtsites.df > TPM\rtsites2.df
del TPM\rtsites.df
move TPM\rtsites2.df TPM\rtsites.df
wiconv -f UTF8 -t CODESET\850 < TPM\rtstatus.df > TPM\rtstatus2.df
del TPM\rtstatus.df
move TPM\rtstatus2.df TPM\rtstatus.df
wiconv -f UTF8 -t CODESET\850 < TPM\solpurge.df > TPM\solpurge2.df
del TPM\solpurge.df
move TPM\solpurge2.df TPM\solpurge.df
wiconv -f UTF8 -t CODESET\850 < TPM\solution.df > TPM\solution2.df
del TPM\solution.df
move TPM\solution2.df TPM\solution.df
wiconv -f UTF8 -t CODESET\850 < TPM\tivint.df > TPM\tivint2.df
del TPM\tivint.df
move TPM\tivint2.df TPM\tivint.df
wiconv -f UTF8 -t CODESET\850 < TPM\tpmddv.df > TPM\tpmddv2.df
del TPM\tpmddv.df
move TPM\tpmddv2.df TPM\tpmddv.df
wiconv -f UTF8 -t CODESET\850 < TPM\watchdog.df > TPM\watchdog2.df
del TPM\watchdog.df
move TPM\watchdog2.df TPM\watchdog.df
wiconv -f UTF8 -t CODESET\850 < MONITORS\escprof.df > MONITORS\escprof2.df
del MONITORS\escprof.df
move MONITORS\escprof2.df MONITORS\escprof.df
wiconv -f UTF8 -t CODESET\850 < MONITORS\monitor.df > MONITORS\monitor2.df
del MONITORS\monitor.df
move MONITORS\monitor2.df MONITORS\monitor.df
wiconv -f UTF8 -t CODESET\850 < MONITORS\notify.df > MONITORS\notify2.df
del MONITORS\notify.df
move MONITORS\notify2.df MONITORS\notify.df
wiconv -f UTF8 -t CODESET\850 < MONITORS\ntfyalrm.df > MONITORS\ntfyalrm2.df
del MONITORS\ntfyalrm.df
move MONITORS\ntfyalrm2.df MONITORS\ntfyalrm.df
wiconv -f UTF8 -t CODESET\850 < MONITORS\sla.df > MONITORS\sla2.df
del MONITORS\sla.df
move MONITORS\sla2.df MONITORS\sla.df
wiconv -f UTF8 -t CODESET\850 < MONITORS\t_labels.df > MONITORS\t_labels2.df
del MONITORS\t_labels.df
move MONITORS\t_labels2.df MONITORS\t_labels.df
wiconv -f UTF8 -t CODESET\850 < MONITORS\t_msgs.df > MONITORS\t_msgs2.df
del MONITORS\t_msgs.df
move MONITORS\t_msgs2.df MONITORS\t_msgs.df
wiconv -f UTF8 -t CODESET\850 < TDM\d_labels.df > TDM\d_labels2.df
del TDM\d_labels.df
move TDM\d_labels2.df TDM\d_labels.df
wiconv -f UTF8 -t CODESET\850 < TDM\d_msgs.df > TDM\d_msgs2.df
del TDM\d_msgs.df
move TDM\d_msgs2.df TDM\d_msgs.df
wiconv -f UTF8 -t CODESET\850 < TDM\datamap.df > TDM\datamap2.df
del TDM\datamap.df
move TDM\datamap2.df TDM\datamap.df
wiconv -f UTF8 -t CODESET\850 < TMG\ea_apis.df > TMG\ea_apis2.df
del TMG\ea_apis.df
move TMG\ea_apis2.df TMG\ea_apis.df
wiconv -f UTF8 -t CODESET\850 < TMG\ema_dlgs.df > TMG\ema_dlgs2.df
del TMG\ema_dlgs.df
move TMG\ema_dlgs2.df TMG\ema_dlgs.df
wiconv -f UTF8 -t CODESET\850 < TMG\ema_mail.df > TMG\ema_mail2.df
del TMG\ema_mail.df
move TMG\ema_mail2.df TMG\ema_mail.df
wiconv -f UTF8 -t CODESET\850 < TMG\m_msgs.df > TMG\m_msgs2.df
del TMG\m_msgs.df
move TMG\m_msgs2.df TMG\m_msgs.df
wiconv -f UTF8 -t CODESET\850 < TMG\tstmsgen.df > TMG\tstmsgen2.df
del TMG\tstmsgen.df
move TMG\tstmsgen2.df TMG\tstmsgen.df
wiconv -f UTF8 -t CODESET\850 < TNM\n_config.df > TNM\n_config2.df
del TNM\n_config.df
move TNM\n_config2.df TNM\n_config.df
wiconv -f UTF8 -t CODESET\850 < TNM\n_faults.df > TNM\n_faults2.df
del TNM\n_faults.df
move TNM\n_faults2.df TNM\n_faults.df
wiconv -f UTF8 -t CODESET\850 < TNM\n_labels.df > TNM\n_labels2.df
del TNM\n_labels.df
move TNM\n_labels2.df TNM\n_labels.df
wiconv -f UTF8 -t CODESET\850 < TNM\n_links.df > TNM\n_links2.df
del TNM\n_links.df
move TNM\n_links2.df TNM\n_links.df
wiconv -f UTF8 -t CODESET\850 < TNM\n_msgs.df > TNM\n_msgs2.df
del TNM\n_msgs.df
move TNM\n_msgs2.df TNM\n_msgs.df
wiconv -f UTF8 -t CODESET\850 < TNM\n_nodes.df > TNM\n_nodes2.df
del TNM\n_nodes.df
move TNM\n_nodes2.df TNM\n_nodes.df
wiconv -f UTF8 -t CODESET\850 < TNM\n_nsm.df > TNM\n_nsm2.df
del TNM\n_nsm.df
move TNM\n_nsm2.df TNM\n_nsm.df
wiconv -f UTF8 -t CODESET\850 < TNM\n_prob.df > TNM\n_prob2.df
del TNM\n_prob.df
move TNM\n_prob2.df TNM\n_prob.df
wiconv -f UTF8 -t CODESET\850 < TNM\n_query.df > TNM\n_query2.df
del TNM\n_query.df
move TNM\n_query2.df TNM\n_query.df
wiconv -f UTF8 -t CODESET\850 < TPMARC\eaarc.df > TPMARC\eaarc2.df
del TPMARC\eaarc.df
move TPMARC\eaarc2.df TPMARC\eaarc.df
wiconv -f UTF8 -t CODESET\850 < TSDSERV\closure.df > TSDSERV\closure2.df
del TSDSERV\closure.df
move TSDSERV\closure2.df TSDSERV\closure.df
wiconv -f UTF8 -t CODESET\850 < TSDSERV\eserver.df > TSDSERV\eserver2.df
del TSDSERV\eserver.df
move TSDSERV\eserver2.df TSDSERV\eserver.df
wiconv -f UTF8 -t CODESET\850 < TSDSERV\s_labels.df > TSDSERV\s_labels2.df
del TSDSERV\s_labels.df
move TSDSERV\s_labels2.df TSDSERV\s_labels.df
wiconv -f UTF8 -t CODESET\850 < TSDSERV\s_msgs.df > TSDSERV\s_msgs2.df
del TSDSERV\s_msgs.df
move TSDSERV\s_msgs2.df TSDSERV\s_msgs.df
wiconv -f UTF8 -t CODESET\850 < TSDSERV\tivcli.df > TSDSERV\tivcli2.df
del TSDSERV\tivcli.df
move TSDSERV\tivcli2.df TSDSERV\tivcli.df
goto end

:help

echo.
echo -------------------------------------
echo Help
echo -------------------------------------
echo.
echo This utility will parse all files needed for Tivoli Service Desk.
echo You must use a command line argument with this utility.
echo.
echo The arguments are:
echo.
echo -k: This will parse all .kb files other than TSDBuild
echo -d: This will parse all .df files other than TSDBuild
echo -a: This will parse all .kb and .df files other than TSDBuild
echo -n: This will parse nsm.kb with the appropriate NMP assertion

echo -s: This will parse only TSDServ .kb files
echo -t: This will parse the TPM Archive utility
echo -b: This will parse all TSDBuild files
echo -c: This will convert files in UTF8 to the local codeset
goto end


:usage
echo.
echo Usage:
echo.
echo parse -k     Parse standard .kb files
echo parse -d     Parse standard .df files
echo parse -a     Parse all standard files
echo parse -n     Parse the TNM module
echo parse -b     Parse all TSDBuild files
echo parse -s     Parse only TSDServ files
echo parse -t     Parse the TPM Archive utility
echo parse -c     Convert files in UTF8 to local codeset
echo parse -h     Display help for this utility

echo.
goto end


:end
